%define major 21
%define libname %mklibname hd %{major}
%define develname %mklibname -d hd

Name:           hwinfo
License:        GPLv2+
Group:          System/Kernel and hardware
Summary:        Hardware Library
Version:        21.52
Release:        %mkrel 1
Source:         https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.xz
URL:		http://gitorious.org/opensuse/hwinfo
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Writer)
BuildRequires:  udev
BuildRequires:	git-core
%ifarch %{ix86} x86_64
BuildRequires:  libx86emu-devel
%endif

Patch0:		remove-git2log-and-references.patch

%description
A simple program that lists results from the hardware detection
library.

%package devel
Summary:        Devel files for %{name}
Group:          Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhd-devel = %{version}-%{release}

%description devel
This package provides the devel files for %{name}.

%prep
%setup -q
%apply_patches
echo  %{version} > VERSION

%build
%__make LIBDIR=%{_libdir} RPM_OPT_FLAGS="%{optflags}"
%__make doc

%install
%make_install LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi

%files
%doc README.md README-hwprobe.md README-legacy.md
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*
%{_libdir}/libhd.so.%{major}*

%files devel
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h


%changelog
* Thu Dec 25 2018 adrianomorselli <adrianomorselli> 21.52-1uplos2019
- update
